Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.agents
Class LifecycleAgent

    java.lang.Object
      oracle.ifs.core.runtime.Server
          oracle.ifs.core.runtime.IfsServer
              oracle.ifs.core.runtime.ClusteredServer
                  oracle.ifs.core.agents.LifecycleAgent

All Implemented Interfaces:
  IfsEventHandler, ServerInterface, TimerContext

    public class LifecycleAgent

extends ClusteredServer
implements IfsEventHandler

Performs lifecycle operations for documents that have a LifecyclePolicy reference.

See Also:
  `LifecycleActionProcessor`, `LifecyclePolicyAction`

Nested Class Summary
`class` | `LifecycleAgent.ProcessingChannel` Holds inforamtion about a channel used to perform lifecycle processing actions encapsulated by RegisteredPolicyEntry instances.
`class` | `LifecycleAgent.ProcessingExecutor` An Executor that handles the execution of ProcessingActionTasks.
`class` | `LifecycleAgent.RegisteredPolicyEntry` RegisteredPolicyEntry holds information about a registered LifecyclePolicyEntry and manages the notifications to the associated action.
`class` | `LifecycleAgent.SelectingChannel` Holds information about a channel used to perform lifecycle selection for a specified RegisteredPolicyEntry instance.
`class` | `LifecycleAgent.SelectingExecutor` An Executor that handles the execution of SelectingActionTasks.

Nested classes/interfaces inherited from class oracle.ifs.core.runtime.IfsServer
`IfsServer.ServerRequest`

Field Summary

Fields inherited from class oracle.ifs.core.runtime.ClusteredServer
`REQUESTTYPE_CHECK_REGISTRATION, REQUESTTYPE_FORCE_CHECK_REGISTRATION`

Fields inherited from class oracle.ifs.core.runtime.Server
`LEVEL_HIGH, LEVEL_LOW, LEVEL_MEDIUM, LEVEL_OFF`

Fields inherited from interface oracle.ifs.core.runtime.ServerInterface
`SERVERSTATUS_DISPOSED, SERVERSTATUS_RUNNING, SERVERSTATUS_STARTING, SERVERSTATUS_STOPPED, SERVERSTATUS_STOPPING, SERVERSTATUS_SUSPENDED, SERVERSTATUS_UNKNOWN`

Constructor Summary
`LifecycleAgent()` Constructs a LifecycleAgent.

Method Summary
`void` | `disableEventListening()` Disable listening for events on LifecyclePolicyEntry instances.
`void` | `enableEventListening()` Enable listening events on any LifecyclePolicyEntry.
`void` | `handleEvent(IfsEvent event)` Handles events.
`protected void` | `handlePropertyChangeRequest(AttributeValue av)` Handles updates to dynamic properties.
`protected void` | `handleRequest(IfsServer.ServerRequest request)` Handles the specified pending request.
`protected void` | `handleResumeRequest()` Called when this Server is requested to resume.
`protected void` | `handleStopRequest()` Called when this Server is requested to stop.
`protected void` | `handleSuspendRequest()` Called when this Server is requested to suspend.
`void` | `initialize()` Perform one time initialization tasks upon loading.
`boolean` | `isAgent()` Gets whether this Server is an agent.
`boolean` | `isPropertyReadonly(java.lang.String name)` Returns true if the property name specified is readonly.
`static void` | `main(java.lang.String[] args)` Runs a LifecycleAgent in standalone mode.
`void` | `postRun()` Performs post-run tasks for this agent.
`void` | `processEvent(IfsEvent event)` Process the next event.
`void` | `run()` Runs this agent.
`boolean` | `supportsSuspendResume()` Gets whether this Server supports suspend/resume.

Methods inherited from class oracle.ifs.core.runtime.ClusteredServer
`cancelRegistration, checkRegistration, deriveAgentIdentifier, deriveRunningServerIdentifier, getAgentIdentifier, getAgentIdentifierPrefix, getRegistrationPeriod, getRunningNodeIdentifier, getRunningNodeName, getRunningServerIdentifier, getRunningServersEnumeration, initializeRegistration, isRegistered, isServerRunning, isTokenNonCompeting, releaseTokenRegistration, requestForcedRegistrationCheck, requestRegistrationCheck`

Methods inherited from class oracle.ifs.core.runtime.IfsServer
`checkSession, connectSession, constructSession, convertTimerInterval, convertTimerInterval, convertTimerInterval, dispose, getLastTimerActivation, getNextTimerActivation, getService, getTimerActivationPeriod, getTimerClassName, getTimerConfiguration, handlePriorityChangeRequest, handlePropertyChangeRequest, handleRequests, handleTimerExpired, isTimerActive, postRequest, preRun, processEvents, queueEvent, resetTimer, restart, resume, setPriority, setProperty, setProperty, start, startTimer, stop, stopRequested, stopTimer, suspend, timerExpired, waitServer`

Methods inherited from class oracle.ifs.core.runtime.Server
`acquireSession, constructLibrarySessionPool, createServerState, deregister, disconnectSession, getConfigurationOverridesTable, getConfigurationTable, getCredential, getDesiredStatus, getIfsHome, getInitialConfigurationTable, getLoggerForLegacyLogging, getName, getNode, getNodeName, getOracleHome, getParameterTable, getPriority, getProperties, getProperty, getServerConfigurationName, getServerState, getServerStateValue, getServerType, getServiceName, getSession, getStateTable, getStatus, getSystemUserCredential, handleServerConfigurationOverrideRequest, handleServerStateEvent, initialize, initialize, isDisposed, isInitialized, isLogged, log, log, log, postAuditEvent, releaseSession, releaseSession, setDesiredStatus, setDesiredStatus, setSessionTimeoutPrevented, setStateProperty, setStatus, startStandalone, startStandalone, supportsPriority, toStatusLabel, toStatusLabel, toStatusLabel, verifyNotDisposed, verifyNotDisposed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LifecycleAgent

    public LifecycleAgent()
                   throws IfsException

  Constructs a LifecycleAgent.

  Throws:
    `IfsException` - if the operation fails

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Description copied from class: `LifecycleAgent`
  Runs a LifecycleAgent in standalone mode.

  Parameters:
    `args` - command line args
  Throws:
    `java.lang.Exception` - if the operation fails

### initialize

    public void initialize()
                    throws java.lang.Exception

  Description copied from class: `LifecycleAgent`
  Perform one time initialization tasks upon loading.

  Overrides:
    `initialize` in class `Server`
  Throws:
    `java.lang.Exception` - if the operation fails

### isPropertyReadonly

    public boolean isPropertyReadonly(java.lang.String name)
                               throws IfsException

  Description copied from class: `LifecycleAgent`
  Returns true if the property name specified is readonly.

  Specified by:
    `isPropertyReadonly` in interface `ServerInterface`
  Overrides:
    `isPropertyReadonly` in class `ClusteredServer`
  Parameters:
    `name` - name of the property
  Returns:
    true if property is readonly; false otherwise
  Throws:
    `IfsException` - if the operation fails

### handlePropertyChangeRequest

    protected void handlePropertyChangeRequest(AttributeValue av)
                                        throws java.lang.Exception

  Description copied from class: `LifecycleAgent`
  Handles updates to dynamic properties.

  Overrides:
    `handlePropertyChangeRequest` in class `IfsServer`
  Parameters:
    `av` - the property that was changed
  Throws:
    `java.lang.Exception` - if the operation fails

### isAgent

    public boolean isAgent()
                    throws IfsException

  Description copied from class: `Server`
  Gets whether this Server is an agent.

  Returns false by default.

  Specified by:
    `isAgent` in interface `ServerInterface`
  Overrides:
    `isAgent` in class `Server`
  Returns:
    false
  Throws:
    `IfsException` - (IFS-45178) if the operation fails

### run

    public void run()

  Description copied from class: `LifecycleAgent`
  Runs this agent.

  Specified by:
    `run` in class `IfsServer`

### postRun

    public void postRun()

  Description copied from class: `LifecycleAgent`
  Performs post-run tasks for this agent.

  Overrides:
    `postRun` in class `IfsServer`

### handleStopRequest

    protected void handleStopRequest()
                              throws java.lang.Exception

  Description copied from class: `IfsServer`
  Called when this Server is requested to stop.

  This method is called by `handleRequests`. Override it to perform tasks upon a request to stop. If not overridden, this method simply causes subsequent calls to `stopRequested` to return `true`.

  The `handleRequests` method will rethrow any exception thrown by this method.

  Overrides:
    `handleStopRequest` in class `IfsServer`
  Throws:
    `java.lang.Exception` - if the operation fails

### supportsSuspendResume

    public boolean supportsSuspendResume()

  Description copied from class: `Server`
  Gets whether this Server supports suspend/resume.

  If false, then `suspend` and `resume` will result in stop and start instead.

  Specified by:
    `supportsSuspendResume` in interface `ServerInterface`
  Overrides:
    `supportsSuspendResume` in class `Server`
  Returns:
    false; subclasses may override

### handleSuspendRequest

    protected void handleSuspendRequest()
                                 throws java.lang.Exception

  Description copied from class: `IfsServer`
  Called when this Server is requested to suspend.

  This method is called by `handleRequests`. Override it to perform tasks upon a suspend request. Unless overridden, no operation is performed by this method.

  If this method returns without throwing, the Server's status is set to `SERVERSTATUS_SUSPENDED`.

  The `handleRequests` method will rethrow any exception thrown by this method.

  Overrides:
    `handleSuspendRequest` in class `IfsServer`
  Throws:
    `java.lang.Exception` - if the operation fails

### handleResumeRequest

    protected void handleResumeRequest()
                                throws java.lang.Exception

  Description copied from class: `IfsServer`
  Called when this Server is requested to resume.

  This method is called by `handleRequests`. Override it to perform tasks upon a resume request. Unless overridden, no operation is performed by this method.

  If this method returns without throwing, the Server's status is set to `SERVERSTATUS_RUNNING`.

  The `handleRequests` method will rethrow any exception thrown by this method.

  Overrides:
    `handleResumeRequest` in class `IfsServer`
  Throws:
    `java.lang.Exception` - if the operation fails

### enableEventListening

    public void enableEventListening()
                              throws IfsException

  Description copied from class: `LifecycleAgent`
  Enable listening events on any LifecyclePolicyEntry.

  Throws:
    `IfsException` - if the operation fails

### disableEventListening

    public void disableEventListening()
                               throws IfsException

  Description copied from class: `LifecycleAgent`
  Disable listening for events on LifecyclePolicyEntry instances.

  Throws:
    `IfsException` - if the operation fails

### handleEvent

    public void handleEvent(IfsEvent event)
                     throws IfsException

  Description copied from class: `LifecycleAgent`
  Handles events.

  This queues requests for processing by the main agent thread. Unlike most agents, it does not queue event to be handled by `processEvents`.

  Specified by:
    `handleEvent` in interface `IfsEventHandler`
  Parameters:
    `event` - the event
  Throws:
    `IfsException` - if the operation fails

### processEvent

    public void processEvent(IfsEvent event)
                      throws IfsException

  Description copied from class: `LifecycleAgent`
  Process the next event.

  Overrides:
    `processEvent` in class `IfsServer`
  Parameters:
    `event` - The next event to process.
  Throws:
    `IfsException` - if the operation fails

### handleRequest

    protected void handleRequest(IfsServer.ServerRequest request)
                          throws IfsException

  Description copied from class: `LifecycleAgent`
  Handles the specified pending request.

  Overridden to handle the custom requests for this agent. Defers to super for the standard request types.

  Overrides:
    `handleRequest` in class `ClusteredServer`
  Parameters:
    `request` - the request to handle
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD